Results 1 to 10 of 10

Thread: Java Runtime in Firefox?

  1. #1
    Join Date
    Dec 2008
    Location
    East of Eden (tx)
    Posts
    320

    Default Java Runtime in Firefox?

    The real-time quote system used by my brokerage house requires a "Java Runtime Environment" plug in. I think it was installed with FireFox 3. The error message also indicates I may not be able to get real-time quotes because of a popup blocker.

    Which possibility should I work on first?

    How do I turn off the popup blocker for this one application?

    How do I tell if the Java Runtime plug-in is installed?

    Can someone point me in the right direction?

    Cordially,
    TwoHoot

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Java Runtime in Firefox?

    In FF - Tools - Addons - Plugins

    is it listed in there

    FF should offer you options for popups when they happen, you would just allow popups from ???
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Mar 2008
    Location
    Oz
    Posts
    11,727
    Blog Entries
    2

    Default Re: Java Runtime in Firefox?

    I installed these (in 11.0 32 bit) using Yast --> Software module:
    java-1_6_0-sun-1.6.0.u7-1.1
    java-1_6_0-sun-plugin-1.6.0.u7-1.1

    @caf4926 isn't that better than the Sun jre RPM that Ffox leads to?
    Leap 42.3 & 15.1(Beta) &KDE
    FYIs from the days of yore

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Java Runtime in Firefox?

    Yes, but do you need to update. My version number is:

    1.6.0.u10-2.1

    Your quoted is 3 down the list in Updates.
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5
    Join Date
    Jun 2008
    Location
    Concord, California
    Posts
    262

    Default Re: Java Runtime in Firefox?

    The java is only 32-bit. If you have 64-bit system you will have a heck of a time trying to get it to work (I gave eventually gave up). The nsplugginwrapper won't work with java (AFAIK).
    OpenSUSE Leap 15, KDE5 (plasma 5.16.5, frameworks 5.62, QT 5.13.1)

  6. #6
    Join Date
    Mar 2008
    Location
    Oz
    Posts
    11,727
    Blog Entries
    2

    Default Re: Java Runtime in Firefox?

    Quote Originally Posted by caf4926 View Post
    Yes, but do you need to update. My version number is:

    1.6.0.u10-2.1

    Your quoted is 3 down the list in Updates.
    That's OK. I am using my travelling laptop. I don't update it much because it uses a modem. Broadband but low speed so mostly I forget to update. Currently I'm at my birthday celebrations so as you can imagine from the link -- It's 4 a.m. and I'm too busy to care
    Leap 42.3 & 15.1(Beta) &KDE
    FYIs from the days of yore

  7. #7
    Join Date
    Dec 2008
    Location
    East of Eden (tx)
    Posts
    320

    Default Re: Java Runtime in Firefox?

    Thank everyone for the helpful advice. caf4926 suggested I look to see if the plug-in is listed. It is not.

    Others indicated the type of system might be important. openSUSE 11.0 (boxed version) is running on an AMD Sempron 2500+ 64 processor with 1.25gb memory and a 40 gb hard drive devoted solely to openSUSE. If it matters, the main board is a Gigabyte K8 Triton (GA-K8VM800M (rev 2.0))

    I am new to openSUSE so what should I install to get the functionality I need? Will it be on the installation disk or do I have to get it from an online repository? Any advice would be appreciated.

    Cordially,
    TwoHoot

  8. #8
    Join Date
    Jun 2008
    Location
    Perth West Australia
    Posts
    61

    Default Re: Java Runtime in Firefox?

    Is your version of opensuse 64 bit? IF so you will either need to use the openjdk plugin, or a new jre update from Sun (jre-6u12-ea-bin-b02-linux-amd64-08_dec_2008.bin) This has full 64 bit support, just simlink (you may have to research this if your new to linux) this file /jre1.6.0_12/lib/amd64/libnpjp2.so to your browser plugins folder and it's done.
    It's working great.
    Regards Peter.
    Desktop - OpenSuse 11.4 64 bit. LapTop - OpenSUSE 11.4, triple booting with Win7 and Splashtop OS
    Linux is cool! Everything else is a VM.

  9. #9
    Join Date
    Aug 2008
    Location
    Scotland, UK
    Posts
    242

    Default Re: Java Runtime in Firefox?

    P McCracken

    Thanks for your little tip. I've finally got JRE working after weeks of trying (on and off).
    Alastair Scott

    openSUSE LEAP

  10. #10
    Join Date
    Nov 2008
    Location
    Gdynia, Poland
    Posts
    42

    Default Re: Java Runtime in Firefox?

    There is a 64bit Java plug-in for browsers (still in development, but stable for me)

    JAVA plugin for 64bit browsers - openSUSE Forums
    kamilsok.wordpress.com
    pldspot.wordpress.com

    HP Compaq 6710b, IC2D T7100 1.8GHz, 3GB RAM DDR2 667MHz , HDD SATA 120 GB, openSUSE 11.1 64bit

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •